Name:    sg3_utils
Version: 1.46
Release: 8
Summary: Utilities that send SCSI commands to devices.
License: GPL-2.0-or-later AND BSD
URL:     http://sg.danny.cz/sg/sg3_utils.html
Source0: http://sg.danny.cz/sg/p/sg3_utils-%{version}.tar.xz

Patch0: 0000-sg3_utils-1.37-rescan-scsi-findremapped-enhance.patch
Patch1: 0001-sg3_utils-1.37-rescan-downpress.patch
Patch2: 0002-bugfix-sg3_utils-fix-syntax-error.patch
Patch3: 0003-sg3_utils-1.42-delete-lun-rescan-scsi-bus-report-error.patch
Patch4: 0004-sg_ses-fix-crash-when-m-LEN-252.patch
Patch5: 0005-sg3_utils-rescan-scsi-bus-list-all-LUNs-in-one-line.patch
Patch6: 0006-rescan-scsi-bus.sh-apply-fix-for-r-from-https-github.patch
Patch7: 0007-rescan-scsi-bus-sgdevice26-do-not-traverse-sg-class-.patch
Patch8: 0008-rescan-scsi-bus.sh-add-option-no-lip-scan.patch
Patch9: 0009-rescan-scsi-bus.sh-speed-testonline.patch
Patch10:0010-rescan-scsi-bus-speed-large-multipath-scans.patch

Provides:      %{name}-libs
Obsoletes:     %{name}-libs
BuildRequires: gcc

%description
The sg3_utils package contains utilities that send SCSI commands to devices. As well as
devices on transports traditionally associated with SCSI (e.g. Fibre Channel (FCP),
Serial Attached SCSI (SAS) and the SCSI Parallel Interface(SPI)) many other devices use
SCSI command sets. ATAPI cd/dvd drives and SATA disks that connect via a translation
layer or a bridge device are examples of devices that use SCSI command sets.

%package devel
Summary: A collection of tools that send SCSI commands to devices
Obsoletes:    %{name}-libs

%description  devel
This subpackage contains libraries and header files for developing
applications that want to make use of libsgutils.

%package  help
Summary: Including man files for pciutils
Requires: man

%description  help
This contains man files for the using of pciutils.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
# Don't use rpath!
%disable_rpath

make %{?_smp_mflags}

%check
make check

%install
%make_install
install -p -m 644 doc/rescan-scsi-bus.sh.8  $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 755 scripts/rescan-scsi-bus.sh $RPM_BUILD_ROOT%{_bindir}
( cd $RPM_BUILD_ROOT%{_bindir}; ln -sf rescan-scsi-bus.sh scsi-rescan )
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.la

#Files list
%files
%defattr(-,root,root)
%doc AUTHORS BSD_LICENSE COPYING COVERAGE CREDITS ChangeLog README README.sg_start
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/scsi/*.h
%{_libdir}/*.so

%files help
%{_mandir}/man8/*

%changelog
* Fri Nov 4 2022 volcanodragon <linfeilong@huawei.com> - 1.46-8
- backport speed multipath scan patches from mainline

* Fri Sep 2 2022 Wenchao Hao <haowenchao@huawei.com> - 1.46-7
- backport rescan-scsi-bus patches from mainline

* Mon Jul 11 2022 wangxiaomeng <wangxiaomeng@kylinos.cn> - 1.46-6
- Backport patch to solve coredump problem, fix crash when 'm LEN' < 252

* Fri Jul 1 2022 Wenchao Hao <haowenchao@huawei.com> -1.46-5
- Fix grammar error in rescan-scsi-bus.sh introduced by patch

* Thu Feb 17 2022 Wenchao Hao <haowenchao@huawei.com> -1.46-4
- Fix grammar error in rescan-scsi-bus.sh

* Tue Feb 15 2022 Wenchao Hao <haowenchao@huawei.com> -1.46-3
- Fix rescan-scsi-bus.sh -r remove valid disks

* Sat Jan 29 2022 Zhiqiang Liu <liuzhiqiang26@huawei.com> -1.46-2
- rescan scsi bus list all LUNs in one line

* Thu Nov 25 2021 yanglongkang <yanglongkang@huawei.com> -1.46-1
- update to 1.46

* Wed Nov 3 2021 yanglongkang <yanglongkang@huawei.com> - 1.45-6
- sync each branch submit

* Thu Oct 21 2021 yanglongkang <yanglongkang@huawei.com> - 1.45-5
- solve coredump problem

* Sat Jul 31 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.45-4
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Tue Nov 10 2020 haowenchao <haowenchao@huawei.com> - 1.45-3
- Fix grammar problems caused by patch
  0003-sg3_utils-1.42-delete-lun-rescan-scsi-bus-report-error.patch

* Thu Nov 5 2020 lixiaokeng <lixiaokeng@huawei.com> - 1.45-2
- add make check

* Fri Jul 17 2020 yanglongkang <yanglongkang@huawei.com> - 1.45-1
- update package to 1.45

* Tue Jun 30 2020 Zhiqiang Liu <liuzhiqiang26@huawei.com> - 1.42-12
- renumber patches.

* Thu Apr 09 2020 Jiangping Hu <hujp1985@foxmail.com> - 1.42-11
- Fix requires of devel package

* Fri Mar 13 2020 wubo <wubo40@huawei.com> - 1.42-10
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESCi: modify rescan-scsi-bus dolunscan break to return

* Tue Sep 24 2019 wubo <wubo40@huawei.com> - 1.42-9
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESCi: delete lun rescan scsi bus report error

* Fri Aug 23 2019 zoujing <zoujing13@huawei.com> - 1.42-8
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESCi:openEuler Debranding

* Wed Aug 21 2019 wubo <wubo40@huawei.com> - 1.42-6.7
- change patch name

* Thu Jul 18 2019 wangye<wangye54@huawei.com> - 1.42-6.6
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: huawei for dolunscan

* Mon Jul 8 2019 wangye<wangye54@huawei.com> - 1.42-6.5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: huawei break to return

* Tue Apr 16 2019 zhangyujing<zhangyujing1@huawei.com> - 1.42-6.4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:sg inq fix potential unbounded loop in export

* Tue Apr 2 2019 guyue<guyue7@huawei.com> - 1.42-6.3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:delete useless code

* Wed Mar 20 2019 wangjufeng<wangjufeng@huawei.com> - 1.42-6.2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix syntax error

* Wed Jan 23 2019 huangchangyu<huangchangyu@huawei.com> - 1.42-6.1
- Type:enhanced
- ID:NA
- SUG:NA
- DESC:change patch name according to new rule

* Tue Jan 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.42-6
- Package init
